﻿namespace ConsoleApp7
{
    /// <summary>
    /// A jegyzőkönyv egy sorát leíró objektum
    /// </summary>
    public class PlayerStat
    {
        /// <summary>
        /// A játékos neve
        /// </summary>
        public string Name { get; }

        /// <summary>
        /// A játékos góljainak száma
        /// </summary>
        public int Goals { get; }

        /// <summary>
        /// Kapott-e sárgalapot
        /// </summary>
        public bool YellowCard { get; }

        /// <summary>
        /// Kapott-e piroslapot
        /// </summary>
        public bool RedCard { get; }

        /// <summary>
        /// Létrehoz egy új objektumot a jegyzőkönyv egy sorának
        /// </summary>
        /// <param name="name">A játékos neve</param>
        /// <param name="goals">A játékos góljai</param>
        /// <param name="yellowCard">Kapott-e sárgalapot?</param>
        /// <param name="redCard">Kapott-e piroslapot?</param>
        public PlayerStat(string name, int goals, bool yellowCard, bool redCard)
        {
            this.YellowCard = yellowCard;
            this.RedCard = redCard;
            this.Name = name;
            this.Goals = goals;
        }

        /// <summary>
        /// Visszaadja a jegyzőkönyvsor-objektum adatait karakterláncba összefűzve
        /// </summary>
        /// <returns>A jegyzőkönyvsor-objektum adatai karakterláncként</returns>
        /// <remarks>Csak hibakeresési célokra!!</remarks>
        public override string ToString()
        {
            return $"{this.Name}({this.Goals};{(this.YellowCard ? "s" : this.RedCard ? "k" : "_")})";
        }
    }
}
